// ProyectoView.h : interface of the CProyectoView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROYECTOVIEW_H__50C3DD0E_4E2E_4CF5_8067_2C140CCF6490__INCLUDED_)
#define AFX_PROYECTOVIEW_H__50C3DD0E_4E2E_4CF5_8067_2C140CCF6490__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CProyectoView : public CView
{
protected: // create from serialization only
	CProyectoView();
	DECLARE_DYNCREATE(CProyectoView)

// Attributes
public:
	CDC* m_pMemDC;
	CBitmap *m_pBitmap;
	int m_nAnchoF, m_nAltoF; // Fuente
	int m_nAnchoD, m_nAltoD; // Destino

public:
	CProyectoDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProyectoView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CProyectoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CProyectoView)
	afx_msg void OnBuscarim();
	afx_msg void OnModificarbd();
	afx_msg void OnOpciones();
	afx_msg void OnBuscardat();
	afx_msg void OnButModif();
	afx_msg void OnButBusq();
	afx_msg void OnButBusqd();
	afx_msg void OnButConf();
	afx_msg void OnContenido();
	afx_msg void OnButAyuda();
	afx_msg void OnConexion();
	afx_msg void OnButConexion();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ProyectoView.cpp
inline CProyectoDoc* CProyectoView::GetDocument()
   { return (CProyectoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROYECTOVIEW_H__50C3DD0E_4E2E_4CF5_8067_2C140CCF6490__INCLUDED_)
